Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.transform
Class FastFourierTransformer.MultiDimensionalComplexMatrix

    java.lang.Object
      org.apache.commons.math.transform.FastFourierTransformer.MultiDimensionalComplexMatrix

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  FastFourierTransformer

    private static class FastFourierTransformer.MultiDimensionalComplexMatrix

extends java.lang.Object
implements java.lang.Cloneable

Complex matrix implementation. Not designed for synchronized access may eventually be replaced by jsr-83 of the java community process http://jcp.org/en/jsr/detail?id=83 may require additional exception throws for other basic requirements.

Field Summary
`protected int[]` | `dimensionSize` Size in all dimensions.
`protected java.lang.Object` | `multiDimensionalComplexArray` Storage array.

Constructor Summary
`FastFourierTransformer.MultiDimensionalComplexMatrix(java.lang.Object multiDimensionalComplexArray)` Simple constructor.

Method Summary
`java.lang.Object` | `clone()`
`private void` | `clone(FastFourierTransformer.MultiDimensionalComplexMatrix mdcm)` Copy contents of current array into mdcm.
`Complex` | `get(int... vector)` Get a matrix element.
`java.lang.Object` | `getArray()` Get the underlying storage array
`int[]` | `getDimensionSizes()` Get the size in all dimensions.
`Complex` | `set(Complex magnitude, int... vector)` Set a matrix element.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dimensionSize

    protected int[] dimensionSize

  Size in all dimensions.

### multiDimensionalComplexArray

    protected java.lang.Object multiDimensionalComplexArray

  Storage array.

Constructor Detail

### FastFourierTransformer.MultiDimensionalComplexMatrix

    public FastFourierTransformer.MultiDimensionalComplexMatrix(java.lang.Object multiDimensionalComplexArray)

  Simple constructor.

  Parameters:
    `multiDimensionalComplexArray` - array containing the matrix elements

Method Detail

### get

    public Complex get(int... vector)
                throws java.lang.IllegalArgumentException

  Get a matrix element.

  Parameters:
    `vector` - indices of the element
  Returns:
    matrix element
  Throws:
    `java.lang.IllegalArgumentException` - if dimensions do not match

### set

    public Complex set(Complex magnitude,
                       int... vector)
                throws java.lang.IllegalArgumentException

  Set a matrix element.

  Parameters:
    `magnitude` - magnitude of the element
    `vector` - indices of the element
  Returns:
    the previous value
  Throws:
    `java.lang.IllegalArgumentException` - if dimensions do not match

### getDimensionSizes

    public int[] getDimensionSizes()

  Get the size in all dimensions.

  Returns:
    size in all dimensions

### getArray

    public java.lang.Object getArray()

  Get the underlying storage array

  Returns:
    underlying storage array

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### clone

    private void clone(FastFourierTransformer.MultiDimensionalComplexMatrix mdcm)

  Copy contents of current array into mdcm.

  Parameters:
    `mdcm` - array where to copy data

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation